## Interface Swift_KeyCache_KeyCacheInputStream

(line 20)

## Description

    Swift_InputByteStream
       |
       --Swift_KeyCache_KeyCacheInputStream

Located in File: /vendors/swiftMailer/classes/Swift/KeyCache/KeyCacheInputStream.php

##### Writes data to a KeyCache using a stream.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void setItemKey (string $itemKey)
void setKeyCache (Swift_KeyCache $keyCache)
void setNsKey (string $nsKey)
void setWriteThroughStream (Swift_InputByteStream $is)
void __clone ()

#### Method setItemKey (line 39)

#### void setItemKey( string $itemKey)

##### Set the itemKey which will be written to.

#### Parameters

- string $itemKey:

#### Info

- access - public

#### Method setKeyCache (line 27)

#### void setKeyCache( Swift_KeyCache $keyCache)

##### Set the KeyCache to wrap.

#### Parameters

- Swift_KeyCache $keyCache:

#### Info

- access - public

#### Method setNsKey (line 33)

#### void setNsKey( string $nsKey)

##### Set the nsKey which will be written to.

#### Parameters

- string $nsKey:

#### Info

- access - public

#### Method setWriteThroughStream (line 45)

#### void setWriteThroughStream( Swift_InputByteStream $is)

##### Specify a stream to write through for each write().

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method __clone (line 51)

#### void __clone( )

##### Any implementation should be cloneable, allowing the clone to access a separate $nsKey and $itemKey.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_InputByteStream

#### Swift_InputByteStream::bind() - Attach $is to this stream.

#### Swift_InputByteStream::commit() - For any bytes that are currently buffered inside the stream, force them off the buffer.

#### Swift_InputByteStream::flushBuffers() - Flush the contents of the stream (empty it) and set the internal pointer to the beginning.

#### Swift_InputByteStream::unbind() - Remove an already bound stream.

#### Swift_InputByteStream::write() - Writes $bytes to the end of the stream.

Documentation generated on Fri, 12 Nov 2010 20:45:23 +0000 by phpDocumentor 1.4.3